=== debian/changelog ===
ros-lunar-pluginlib (1.11.3-0stretch) stretch; urgency=high

  * Provide a script to convert include statements to use new headers (#107 <https://github.com/ros/pluginlib/issues/107>)
  * docs: fix minor typo (#100 <https://github.com/ros/pluginlib/issues/100>)
    Replace wrong/outdated manifext.xml with package.xml in the docstring of the constructor.
  * Contributors: Alireza, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 16 Mar 2018 07:00:00 -0000

ros-lunar-pluginlib (1.11.2-0stretch) stretch; urgency=high

  * Fix cpplint and lint_cmake errors (backport 84) (#87 <https://github.com/ros/pluginlib/issues/87>)
    * fix line length
    add back NOLINT on test header to avoid 'should include its header file' cpplint error
    * lint cmake
  * Continue loading classes on error (#85 <https://github.com/ros/pluginlib/issues/85>)
    * continue loading classes on error
    * construct string with file rather than adding new API
    * match style of the rest of the file
    * missing whitespace
  * Backport 70 to kinetic (#82 <https://github.com/ros/pluginlib/issues/82>)
    * rename header files to make clear they are c++
    * fixup to support new header file names
    * restore old header names with deprecation warnings for API stability
    * remove deprecation warnings
  * alphabetize includes (#80 <https://github.com/ros/pluginlib/issues/80>)
  * Contributors: Furushchev, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 15 Nov 2017 08:00:00 -0000

ros-lunar-pluginlib (1.11.1-0stretch) stretch; urgency=high

  * update macros in tests to not use the deprecated ones (#78 <https://github.com/ros/pluginlib/issues/78>)
  * update documentation to use doxygen c++ format (#75 <https://github.com/ros/pluginlib/issues/75>)
  * style cleanup (#64 <https://github.com/ros/pluginlib/issues/64>, #68 <https://github.com/ros/pluginlib/issues/68>, #73 <https://github.com/ros/pluginlib/issues/73> and #72 <https://github.com/ros/pluginlib/issues/72>)
  * add missing include (#63 <https://github.com/ros/pluginlib/issues/63>)
  * Contributors: Mikael Arguedas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-lunar-pluginlib (1.11.0-0stretch) stretch; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-pluginlib (1.10.5-0stretch) stretch; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-lunar-pluginlib (1.10.4-0stretch) stretch; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-lunar-pluginlib (1.10.3-0stretch) stretch; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-lunar-pluginlib (1.10.2-0stretch) stretch; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-lunar-pluginlib (1.10.1-0stretch) stretch; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-lunar-pluginlib (1.10.0-0stretch) stretch; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 21:56:00 -0000

ros-lunar-pluginlib (1.9.25-0stretch) stretch; urgency=high

  * Use cmake_modules to find TinyXML #26 <https://github.com/ros/pluginlib/issues/26>
  * Check for release libraries in debug builds #25 <https://github.com/ros/pluginlib/issues/25>
  * update refreshDeclaredClasses to force recrawl (fix #23 <https://github.com/ros/pluginlib/issues/23>)
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 09 May 2014 03:37:00 -0000


